Bug 20061 - non-ASCII characters break apropos and whatis
non-ASCII characters break apropos and whatis
Status: CLOSED CURRENTRELEASE
Product: Red Hat Powertools
Classification: Retired
Component: lapack (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-30 15:40 EST by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-30 15:40:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-30 15:40:48 EST
Most of the manual pages contained in the two packages blas-man-3.0-4 and
lapack-man-3.0-4,
and installed in /usr/man/manl/ contain non-ASCII characters which
propagate in the whatis index. 
The apropos and wahtis commands are using grep which will consider
/usr/man/whatis a binary file,
so no info will be given about manual pages installed in /usr/man.

If the non-ASCII characters are filtered out from the manual pages,
everything behaves as expected.
Comment 1 Trond Eivind Glomsrxd 2000-10-31 12:45:01 EST
This is fixed in Red Hat Linux 7.

Note You need to log in before you can comment on or make changes to this bug.